Retrieve SAML IDP metadata
Retrieves metadata for a SAML Identity Provider (IDP).
Retrieves metadata for a SAML Identity Provider (IDP).
apikey<token>
Tenant API Key for authentication
In: query
Query Parameters
appName*string
Saml App Name
Response Body
application/xml
application/json
application/json
curl -X GET "https://TenantName.hub.loginradius.com/service/saml/idp/metadata?appName=example_saml_app"{
"DSNS": "http://www.w3.org/2000/09/xmldsig#",
"EntityId": "https://auth.example.com/",
"IDPSSODescriptor": {
"ProtocolSupportEnumeration": "urn:oasis:names:tc:SAML:2.0:protocol",
"SigningKeyDescriptor": {
"KeyInfo": {
"X509Data": {
"X509Certificate": {
"Cert": "MIID..."
}
}
},
"Use": "signing"
},
"SingleLogoutService": [
{
"Binding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"Location": "https://auth.example.com.com//service/saml/idp/logout?appName=example_saml_app"
}
],
"SingleSignOnService": [
{
"Binding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"Location": "https://auth.example.com.com/service/saml/idp/login?appName=example_saml_app"
}
],
"WantAuthnRequestsSigned": "false"
},
"XMLNS": "urn:oasis:names:tc:SAML:2.0:metadata"
}{
"Description": "A potentially dangerous request value was detected.",
"ErrorCode": 1214,
"Message": "Dangerous request"
}{
"Description": "Your LoginRadius site does not have permission to access this endpoint, please contact LoginRadius support for more information.",
"ErrorCode": 909,
"Message": "Your LoginRadius site does not have permission to access this endpoint"
}